# PSF-LoginServer - master - net.psforever.objects.zones.Zone.EquipmentIs.InContainer
PSF - LoginServer - master - net.psforever.objects.zones.Zone.EquipmentIs.InContainer
Keywords: PSF LoginServer master net.psforever.objects.zones.Zone.EquipmentIs.InContainer

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  object Zone
  Definition Classes
    zones
-  object EquipmentIs
  Definition Classes
    Zone
- InContainer
- ItemLocation
- OnGround
- Orphaned

c

net.psforever.objects.zones.Zone.EquipmentIs

# InContainer

###

#### final case class InContainer(obj: Container, index: Int) extends ItemLocation with Product with Serializable

The target item is contained within another object.

obj

  the containing object

index

  the slot where the target is located

Source
  Zone.scala
See also

  `GridInventory`
  `Container`

Linear Supertypes
Serializable, Product, Equals, ItemLocation, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InContainer
2. Serializable
3. Product
4. Equals
5. ItemLocation
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InContainer(obj: Container, index: Int)

   obj

     the containing object

   index

     the slot where the target is located

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  val index: Int
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val obj: Container
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ItemLocation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped